import React, { useEffect, useState } from "react";
// import Axios from "axios";
import getData from "../../api/api";
function Dashboard(props) {
  const [apiData, setData] = useState(null);
  useEffect(() => {
    (async () => {
      const data = await getData();
      console.log(data);
      setData(data);
    })();
  }, []);
  return (
    <div>
      <h1>{props.name} Dashboard with random API data from jsonplaceholder</h1>
      <p>{apiData.title}</p>
      <p>{apiData.userId}</p>
    </div>
  );
}

export default Dashboard;
