export const initialState = {
  isLogedIn: false,
  userName: "",
  userPassword: "",
};

export const userReducer = (state = initialState, action) => {
  switch (action.type) {
    case "SET_USER":
      return {
        ...state,
        isLogedIn: true,
        userName: action.payload.userName,
        userPassword: action.payload.password,
      };
    case "SIGN_OUT":
      return {
        ...state,
        isLogedIn: false,
        userName: "",
        userPassword: "",
      };

    default:
      return null;
  }
};
